DefaultTextUI (Java SE 10 & JDK 10 )
Keywords: javax.swing.text.DefaultTextUI class

Module java.desktop
Package javax.swing.text

## Class DefaultTextUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.text.DefaultTextUI

- All Implemented Interfaces:
    `ViewFactory`

      @Deprecated
      public abstract class DefaultTextUI
      extends BasicTextUI

  Deprecated.

  This class has been deprecated and should no longer be used. The basis of the various TextUI implementations can be found in the javax.swing.plaf.basic package and the class BasicTextUI replaces this class.

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicTextUI

      `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTextUI()` | Deprecated.

  - ### Method Summary

    - ### Methods declared in class javax.swing.plaf.basic.BasicTextUI

      `create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in class javax.swing.plaf.TextUI

      `getNextVisualPositionFrom, getToolTipText2D, modelToView2D, viewToModel2D`

- - ### Constructor Detail

    - #### DefaultTextUI

          public DefaultTextUI()

      Deprecated.